Skip to main content
GET
/
api
/
data-readiness
/
data-assets
/
profiles
/
tables
/
by-fqn
Get latest table profile by FQN
curl --request GET \
  --url https://api.example.com/api/data-readiness/data-assets/profiles/tables/by-fqn \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "asset_fqn": "<string>",
  "service": "<string>",
  "asset_version": "<string>",
  "created_at": "<string>",
  "workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "database_name": "<string>",
  "schema_name": "<string>",
  "table_name": "<string>",
  "row_count": 123,
  "column_count": 123,
  "sample_data_rows": [
    {}
  ],
  "size_bytes": 123
}

Documentation Index

Fetch the complete documentation index at: https://em-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.

Query Parameters

fqn
string
required

Fully qualified name of the table (e.g., service.database.schema.table)

Minimum string length: 1

Response

Successful Response

Response model for the latest table profile.

id
string<uuid>
required

Profile UUID

asset_fqn
string
required

Fully qualified table name

service
string
required

Data service name

asset_version
string
required

Asset version

created_at
string
required

ISO 8601 timestamp when profile was captured

workflow_run_id
string<uuid>
required

Workflow run that produced this profile

database_name
string | null

Database name

schema_name
string | null

Schema name of the table

table_name
string | null

Table name

row_count
integer | null

Number of rows in the table

column_count
integer | null

Number of columns in the table

sample_data_rows
Sample Data Rows · object[] | null

Sample data rows

size_bytes
integer | null

Table size in bytes